stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Init

Synopsis

- initProject :: (StackM env m, HasConfig env, HasGHCVariant env) => WhichSolverCmd -> Path Abs Dir -> InitOpts -> Maybe AbstractResolver -> m ()
- data InitOpts = InitOpts {
  - searchDirs :: ![Text]
  - useSolver :: Bool
  - omitPackages :: Bool
  - forceOverwrite :: Bool
  - includeSubDirs :: Bool
  }

# Documentation

initProject :: (StackM env m, HasConfig env, HasGHCVariant env) => WhichSolverCmd -> Path Abs Dir -> InitOpts -> Maybe AbstractResolver -> m () #

Generate stack.yaml

data InitOpts #

Constructors

InitOpts |
Fields searchDirs :: ![Text] List of sub directories to search for .cabal files useSolver :: Bool Use solver to determine required external dependencies omitPackages :: Bool Exclude conflicting or incompatible user packages forceOverwrite :: Bool Overwrite existing stack.yaml includeSubDirs :: Bool If True, include all .cabal files found in any sub directories